Package fr.gouv.vitam.storage.engine.common.model

# Class TapeLibraryOnTapeArchiveStorageLocation

java.lang.Object
fr.gouv.vitam.storage.engine.common.model.TapeLibraryArchiveStorageLocation
fr.gouv.vitam.storage.engine.common.model.TapeLibraryOnTapeArchiveStorageLocation

public class TapeLibraryOnTapeArchiveStorageLocation extends TapeLibraryArchiveStorageLocation

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FILE_POSITION`
  `static final String`
  `TAPE_CODE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TapeLibraryOnTapeArchiveStorageLocation()`
  `TapeLibraryOnTapeArchiveStorageLocation(String tapeCode, Integer filePosition)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getFilePosition()`
  `String`
  `getTapeCode()`
  `TapeLibraryOnTapeArchiveStorageLocation`
  `setFilePosition(Integer filePosition)`
  `TapeLibraryOnTapeArchiveStorageLocation`
  `setTapeCode(String tapeCode)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TAPE_CODE

    public static final String TAPE_CODE
    See Also:
      - Constant Field Values

  - ### FILE_POSITION

    public static final String FILE_POSITION
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TapeLibraryOnTapeArchiveStorageLocation

    public TapeLibraryOnTapeArchiveStorageLocation()

  - ### TapeLibraryOnTapeArchiveStorageLocation

    public TapeLibraryOnTapeArchiveStorageLocation(String tapeCode, Integer filePosition)

- ## Method Details

  - ### getTapeCode

    public String getTapeCode()

  - ### setTapeCode

    public TapeLibraryOnTapeArchiveStorageLocation setTapeCode(String tapeCode)

  - ### getFilePosition

    public Integer getFilePosition()

  - ### setFilePosition

    public TapeLibraryOnTapeArchiveStorageLocation setFilePosition(Integer filePosition)